#!/bin/ksh -x
#Extrai variaveis meteorogicas 
# 
#Eta_HADCM (presente)

###########################
typeset -Z2 Mes 
typeset -Z4 Anoi
typeset -Z4 Anof
typeset -Z2 Dia

Rod=CNTRL
slice=1960-1990
Anoi=1961
Anof=1990
CTLDATA=/rede/pnud/etahc/rodadas_presente/1961010100_cluster/Eta_templ_hadcm40km1960010100.ctl

read Rod
read slice
read Anoi
read Anof
read CTLDATA


NPNTS=`cat EstFmtGrads_SP.gs |wc -l`

while ((${Anoi}<=${Anof})) ; do
Mes=1
while ((${Mes}<=12)) ; do
Dir_binctl=binctl_SP2/${Rod}_${slice}/${Anoi}/${Mes}
mkdir -p ${Dir_binctl}
Dia=01
while ((${Dia}<=30)) ; do


LabArq=`caldate.3.0-30d ${Anoi}${Mes}${Dia}12 + 0d prec"yyyymmddhh"`
TMI=`caldate.3.0-30d ${Anoi}${Mes}${Dia}18 - 1d "hhZddmmmyyyy"`

LastDay=`caldate.3.0-30d ${Anoi}${Mes}01 + 0d "ld"`


TMF=`caldate.3.0-30d ${Anoi}${Mes}${Dia}12 + 0d "hhZddmmmyyyy"`
echo ${TMI}' '${TMF}

cat EstFmtGrads_SP.gs  >ExtraiPnt_${Rod}_${slice}.gs
cat <<EOF>> ExtraiPnt_${Rod}_${slice}.gs

*presente
'open ${CTLDATA}'
'open topo_113x243x38.ctl'
*********************
'q dims'
'set dfile 1'
'set z 1'
say '${TMI} ${TMF}'
'define ppt=sum(prec*1000,time=${TMI},time=${TMF})'
'set gxout fwrite'
'set fwrite ${Rod}_${slice}.bin'
i=1
while (i<=${NPNTS})
'set lat 'latpt.i
'set lon 'lonpt.i
'q dims'
'd ppt'
 i=i+1
endwhile
i=1
while (i<=${NPNTS})
'set lat 'latpt.i
'set lon 'lonpt.i
'q dims'
'd topo.2(t=1)'
 i=i+1
endwhile



'disable fwrite'
'quit'
EOF
/usr/local/grads30d/bin/gradsc -blc "run ExtraiPnt_${Rod}_${slice}.gs"

TDEF=`caldate.3.0-30d ${Anoi}${Mes}${Dia} + 0d "hhZddmmmyyyy"`

mv ./${Rod}_${slice}.bin ${Dir_binctl}/${LabArq}.bin
cat CTLPONTOSTEMPL_SP |sed s:NOME:${LabArq}.bin:|sed s:NPNTS:${NPNTS}:|sed s:CTLTIME:${TMF}: > ${Dir_binctl}/${LabArq}.ctl 

let Dia=${Dia}+1
done
let Mes=${Mes}+1
done
let Anoi=${Anoi}+1
done

